%global enable_tests 0
Name:                nodejs-hawk
Version:             9.0.1
Release:             1
Summary:             HTTP Hawk authentication scheme
License:             BSD-3-Clause
URL:                 https://github.com/hueniverse/hawk
Source0:             https://registry.npmjs.org/hawk/-/hawk-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(lab) npm(code)
%endif
%description
Hawk is an HTTP authentication scheme using a message authentication code (MAC)
algorithm to provide partial HTTP request cryptographic verification.

%prep
%autosetup -n package -p1
%nodejs_fixdep -r @hapi/b64
%nodejs_fixdep -r @hapi/boom
%nodejs_fixdep -r @hapi/cryptiles
%nodejs_fixdep -r @hapi/hoek
chmod a-x README.md package.json lib/*
sed -i 's/\r$//' README.md

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/hawk
cp -pr package.json lib %{buildroot}%{nodejs_sitelib}/hawk
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%{nodejs_sitelib}/lab/bin/lab -a code -t 100 -L
%endif

%files
%doc README.md
%{nodejs_sitelib}/hawk

%changelog
* Mon Oct 24 2022 wangkai <wangkai385@h-partners.com> - 9.0.1-1
- Upgrade to 9.0.1

* Tue May 17 2022 houyingchao <houyingchao@h-partners.com> - 4.1.2-2
- Fix CVE-2022-29167

* Thu Aug 20 2020 wangxiao <wangxiao65@huawei.com> - 4.1.2-1
- Package init
